.todo {
  display: block;
  position: relative;
  max-width: 440px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.search {
  margin-bottom: 16px;
  width: 100%;
}

.search input {
  outline: none;
  background: rgba(0, 0, 0, 0.2);
  max-width: 440px;
  border: 1px solid rgba(0, 0, 0, 0.1);
  transition: 0.24s all ease-in-out;
  color: #f8f9fa !important;
  width: 100%;
  height: calc(1.5em + 0.75rem + 2px);
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
}

h1 {
  color: white;
  font-size: 36px;
  margin-bottom: 16px;
}

li {
  background: #423a6f;
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: relative;
  color: white;
  border: 1px solid #00000020;
  gap: 2px;
  padding: 12px 20px;
  font-size: 16px;
}

span {
  overflow: hidden;
  text-overflow: ellipsis;
  color: white;
}

input[type="checkbox"] {
  /* Add if not using autoprefixer */
  -webkit-appearance: none;
  /* Remove most all native input styles */
  appearance: none;
  /* For iOS < 15 */
  background-color: white;
  /* Not removed via appearance */
  margin: 0;
  cursor: pointer;
  font: inherit;
  color: currentColor;
  width: 22px;
  height: 22px;
  border: 2px solid currentColor;
  border-radius: 1px;
  transform: translateY(1px);
  display: grid;
  place-content: center;
  cursor: pointer;
}

input[type="checkbox"]::before {
  content: "";
  width: 16px;
  height: 16px;
  clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
  transform: scale(0);
  transform-origin: bottom left;
  transition: 120ms transform ease-in-out;
  box-shadow: inset 1em 1em #423a6f;
  /* Windows High Contrast Mode */
  background-color: #423a6f;
}

input[type="checkbox"]:checked::before {
  transform: scale(1);
}
